### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.publish

# Interface EntryInterface

All Superinterfaces:
  `com.sas.entities.EntityKeyInterface`, `Remote`

All Known Subinterfaces:
  `BinaryFileEntryInterface`, `DatasetEntryInterface`, `HTMLEntryInterface`, `LibraryMemberEntryInterface`, `ReferenceEntryInterface`, `ResultPackageInterface`, `TextFileEntryInterface`, `ViewerEntryInterface`

All Known Implementing Classes:
  `AbstractEntry`, `BinaryFileEntry`, `HTMLEntry`, `ReferenceEntry`, `ResultPackage`, `TextFileEntry`, `ViewerEntry`

@SASScope("ALL") @BinaryCompatibilityOnly public interface EntryInterface extends Remote, com.sas.entities.EntityKeyInterface
The EntryInterface provides a mechanism for getting and setting the attributes of a result package or result package entry.

Since:
  1.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  Returns the description.
  `AttributeMapInterface`
  `getNameValuePairs()`
  Returns the name/value pairs.
  `String`
  `getURL()`
  Returns the URL string that identifies the entry.
  `boolean`
  `isReadOnly()`
  Returns true when the entry or package is read only.
  `void`
  `setDescription(String description)`
  Set the description.
  `void`
  `setNameValuePairs(AttributeMapInterface namevalues)`
  Sets the name/value pairs.

  ### Methods inherited from interface com.sas.entities.EntityKeyInterface

  `getEntityKey, sameEntity, setEntityKey`

- ## Method Details

  - ### getDescription

    String getDescription() throws IllegalStateException, RemoteException
    Returns the description.
    Returns:
      `String` The description.
    Throws:
      `IllegalStateException` - If the result package has already been closed.
      `RemoteException` - If a network anomaly is encountered.

  - ### setDescription

    void setDescription(String description) throws IllegalStateException, RemoteException
    Set the description.
    Parameters:
      `description` - The description.
    Throws:
      `IllegalStateException` - If the entry or package is read only or if the result package has already been closed.
      `RemoteException` - If a network anomaly is encountered.

  - ### getNameValuePairs

    AttributeMapInterface getNameValuePairs() throws IllegalStateException, TransportException, RemoteException
    Returns the name/value pairs. At publish time, user-specified name/value pairs may be associated with a result package or its entries.
    Returns:
      `AttributeMapInterface` The name values; may be `null`.
    Throws:
      `IllegalStateException` - If the result package has already been closed.
      `TransportException` - If the transport encounters an error getting name value pairs.
      `RemoteException` - If a network anomaly is encountered.

  - ### setNameValuePairs

    void setNameValuePairs(AttributeMapInterface namevalues) throws IllegalStateException, RemoteException
    Sets the name/value pairs. These name/value pairs provide user or application control information describing the package or entry.
    Parameters:
      `namevalues` - The name/value pairs.
    Throws:
      `IllegalStateException` - If the entry or package is read only or if the result package has already been closed.
      `RemoteException` - If a network anomaly is encountered.

  - ### isReadOnly

    boolean isReadOnly() throws IllegalStateException, RemoteException
    Returns true when the entry or package is read only. This occurs when the result package is an existing package that has been retrieved. Entries are read only if they belong to a package that is being retrieved.
    Returns:
      `boolean` `True` if read only; otherwise if this is a new entry/package under construction, `false` is returned.
    Throws:
      `IllegalStateException` - If the result package has already been closed.
      `RemoteException` - If a network anomaly is encountered.

  - ### getURL

    String getURL() throws IllegalStateException, TransportException, RemoteException
    Returns the URL string that identifies the entry.
    Returns:
      `String` The URL string; may be `null`.
    Throws:
      `IllegalStateException` - If the result package has already been closed.
      `TransportException` - If the transport encounters an error obtaining the URL.
      `RemoteException` - If a network anomaly is encountered.